Facebook Twitter YouTube Frictional Games | Forum | Newsletter | Dev Blog | Dev Wiki | Support | Gametee


Post Reply 
Linking error on x86_64
Author Message
gostrc Offline
Junior Member

Posts: 1
Joined: May 2010
Reputation: 0
Post: #1
Linking error on x86_64

When I tried to build overture on x86_64 linux, I keep getting the following error. I have newton installed. Any help regarding this would be appreciated.

[ 98%] Building CXX object CMakeFiles/Overture.dir/GameLiquidArea.cpp.o
[ 98%] Building CXX object CMakeFiles/Overture.dir/Player.cpp.o
[ 99%] Building CXX object CMakeFiles/Overture.dir/GameMessageHandler.cpp.o
[ 99%] Building CXX object CMakeFiles/Overture.dir/PlayerState_Misc.cpp.o
[ 99%] Building CXX object CMakeFiles/Overture.dir/StdAfx.cpp.o
[100%] Building CXX object CMakeFiles/Overture.dir/GameEnemy_Dog.cpp.o
Linking CXX executable overture.bin
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.5.0/../../../../lib/libNewton.a when searching for -lNewton
/usr/bin/ld: skipping incompatible /usr/lib/../lib/libNewton.a when searching for -lNewton
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.5.0/../../../libNewton.a when searching for -lNewton
/usr/bin/ld: skipping incompatible /usr/lib/libNewton.a when searching for -lNewton
/usr/bin/ld: cannot find -lNewton
collect2: ld returned 1 exit status
make[2]: *** [overture.bin] Error 1
make[1]: *** [CMakeFiles/Overture.dir/all] Error 2
make: *** [all] Error 2
05-17-2010 04:05 PM
Find all posts by this user Quote this message in a reply
Urkle Offline
FG - Associate

Posts: 1,172
Joined: Jul 2006
Reputation: 21
Post: #2
RE: Linking error on x86_64

This was already discussed http://www.frictionalgames.com/forum/thread-3353.html
Newton 1.53 is 32-bit ONLY so there can be no 64bit linux build (hence why I never provided one). Suggestions to fix this are to upgrade to newton 2 (in development) or add in a bullet physics implementation (which will run on 64bit).

Also angelscript would need to be updated to a newer release that supports 64bit.

Developing away on one of
Multiple Macs running 10.6, 10.7, 10.8, and 10.9.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB
05-17-2010 04:10 PM
Visit this user's website Find all posts by this user Quote this message in a reply
Post Reply 




User(s) browsing this thread: 1 Guest(s)